Opened 8 months ago

Closed 8 months ago

#57094 closed update (fixed)

py-language-server: update to version 0.21.0

Reported by: reneeotten (Renee Otten) Owned by: seanfarley (Sean Farley)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: py-language-server

Description (last modified by reneeotten (Renee Otten))

$ port livecheck 
py-language-server seems to have been updated (port version: 0.17.1, new version: 0.21.0)

It's a new dependency for py-spyder-devel, which requires version >= 0.19.0. I can take a look myself as well, just let me know.

Change History (4)

comment:1 Changed 8 months ago by reneeotten (Renee Otten)

Description: modified (diff)
Type: defectupdate

comment:2 Changed 8 months ago by mf2k (Frank Schima)

Cc: sean@… removed
Owner: set to seanfarley
Status: newassigned

comment:3 Changed 8 months ago by reneeotten (Renee Otten)

comment:4 Changed 8 months ago by reneeotten <reneeotten@…>

Resolution: fixed
Status: assignedclosed

In bd946a3209b4e7e5b5fd27226006722f89cb4abd/macports-ports (master):

py-language-server: update to 0.21.2

  • add py37 subport
  • update license
  • use depends_{lib/run}-append as not to overwrite PortGroup dependencies
  • add setuptools dependency (runtime)
  • update and sort dependencies alphabetically
  • enable tests

Closes: #57094

Note: See TracTickets for help on using tickets.